MetaprojectImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: MetaprojectImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class MetaprojectImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.MetaprojectImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable`

Direct Known Subclasses:
  `Metaproject`

public class MetaprojectImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable
The read-only version of metaproject

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `MetaprojectImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Metaproject metaproject)`
  `protected`
  `MetaprojectImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Metaproject metaproject, boolean existingMetaproject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `ch.systemsx.cisd.openbis.generic.shared.basic.dto.Metaproject`
  `getMetaproject()`
  `String`
  `getName()`
  `String`
  `getOwnerId()`
  `boolean`
  `isExistingMetaproject()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetaprojectImmutable

    protected MetaprojectImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Metaproject metaproject, boolean existingMetaproject)

  - ### MetaprojectImmutable

    public MetaprojectImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Metaproject metaproject)

- ## Method Details

  - ### getMetaproject

    public ch.systemsx.cisd.openbis.generic.shared.basic.dto.Metaproject getMetaproject()

  - ### isExistingMetaproject

    public boolean isExistingMetaproject()
    Specified by:
      `isExistingMetaproject` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable`

  - ### getOwnerId

    public String getOwnerId()
    Specified by:
      `getOwnerId` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable`